'Newland.CityTheme:Webcam':
  superTypes:
    'Neos.Neos:Content': true


  ui:
    label: 'Webcam'
    icon: camera
    inspector:
      groups:
        image:
          label: i18n
          icon: image
          position: 1
        webcam:
          label: i18n
          icon: camera
          position: 2
  properties:
    image:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: image
    url:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: image
    externalTarget:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: image
        help:
          message: i18n
    title:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Titel'
    text:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Text'
            formatting:
              removeFormat: true
              strong: true
              p: true
    embedCode:
      type: string
      ui:
        label: i18n
        inspector:
          group: webcam
